@echo off

set T=c:\TEMP
set TOOLS=c:\tools
set ZIP=..\software\brother-dcp-mcp-drivers.EXE

if NOT EXIST %ZIP% (
  echo ERROR: %ZIP% not found!
  exit /b
)

echo ####### %0 #######

echo unpacking Brother DCP and MCP printer drivers ...
%TOOLS%\7z x -y -aoa -o"%T%" %ZIP%

echo renaming ...
move /Y %T%\gdi %T%\brother
echo.

echo +++++++++++++++++++++++++++++++++++++++++++++++++++++
echo INFO: brother drivers for DCP and MCP printers
echo       extracted in path [ %T%\brother ]
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++
echo.

echo ####### %0 #######
pause

